# Trait ethcore::snapshot::service::DatabaseRestore [−] [src]

    pub trait DatabaseRestore: Send + Sync {
        fn restore_db(&self, new_db: &str) -> Result<(), Error>;
    }

External database restoration handler

## Required Methods

### `fn restore_db(&self, new_db: &str) -> Result<(), Error>`

Restart with a new backend. Takes ownership of passed database and moves it to a new location.

## Implementors

- `impl DatabaseRestore for Client`

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result
+
  Collapse/expand all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)